public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
@ 2023-08-24  4:45 Mike Beaton
  2023-08-24  4:58 ` Mike Beaton
  2023-09-05  7:20 ` Ard Biesheuvel
  0 siblings, 2 replies; 4+ messages in thread
From: Mike Beaton @ 2023-08-24  4:45 UTC (permalink / raw)
  To: devel

This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.

Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528

Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
---
OvmfPkg/build.sh | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index b0334fb76e..91b1442ade 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -245,11 +245,6 @@ else
echo using prebuilt tools
fi
-#
-# Build the edk2 OvmfPkg
-#
-echo Running edk2 build for OvmfPkg$Processor
-build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
if [[ "$RUN_QEMU" == "yes" ]]; then
if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
@@ -265,3 +260,11 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
$QEMU_COMMAND "$@"
exit $?
fi
+
+#
+# Build the edk2 OvmfPkg
+#
+echo Running edk2 build for OvmfPkg$Processor
+build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
$TARGET_TOOLS -n $THREADNUMBER
+exit $?
+
-- 
2.37.5


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#107993): https://edk2.groups.io/g/devel/message/107993
Mute This Topic: https://groups.io/mt/100930099/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-



^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
  2023-08-24  4:45 [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
@ 2023-08-24  4:58 ` Mike Beaton
  2023-08-27 18:47   ` Mike Beaton
  2023-09-05  7:20 ` Ard Biesheuvel
  1 sibling, 1 reply; 4+ messages in thread
From: Mike Beaton @ 2023-08-24  4:58 UTC (permalink / raw)
  To: devel

This includes an extraneous whitespace line at end of file, I will send a v2.

On Thu, 24 Aug 2023 at 05:45, Mike Beaton <mjsbeaton@gmail.com> wrote:
>
> This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.
>
> Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528
>
> Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
> ---
> OvmfPkg/build.sh | 13 ++++++++-----
> 1 file changed, 8 insertions(+), 5 deletions(-)
>
> diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
> index b0334fb76e..91b1442ade 100755
> --- a/OvmfPkg/build.sh
> +++ b/OvmfPkg/build.sh
> @@ -245,11 +245,6 @@ else
> echo using prebuilt tools
> fi
> -#
> -# Build the edk2 OvmfPkg
> -#
> -echo Running edk2 build for OvmfPkg$Processor
> -build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
> if [[ "$RUN_QEMU" == "yes" ]]; then
> if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
> @@ -265,3 +260,11 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
> $QEMU_COMMAND "$@"
> exit $?
> fi
> +
> +#
> +# Build the edk2 OvmfPkg
> +#
> +echo Running edk2 build for OvmfPkg$Processor
> +build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER
> +exit $?
> +
> --
> 2.37.5


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#107994): https://edk2.groups.io/g/devel/message/107994
Mute This Topic: https://groups.io/mt/100930099/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-



^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
  2023-08-24  4:58 ` Mike Beaton
@ 2023-08-27 18:47   ` Mike Beaton
  0 siblings, 0 replies; 4+ messages in thread
From: Mike Beaton @ 2023-08-27 18:47 UTC (permalink / raw)
  To: Mike Beaton, devel

[-- Attachment #1: Type: text/plain, Size: 491 bytes --]

PS Extra whitespace line was in original file, i.e. revert here is technically correct, but assume v2 revert is preferable.


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#108049): https://edk2.groups.io/g/devel/message/108049
Mute This Topic: https://groups.io/mt/100930099/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-



[-- Attachment #2: Type: text/html, Size: 903 bytes --]

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU"
  2023-08-24  4:45 [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
  2023-08-24  4:58 ` Mike Beaton
@ 2023-09-05  7:20 ` Ard Biesheuvel
  1 sibling, 0 replies; 4+ messages in thread
From: Ard Biesheuvel @ 2023-09-05  7:20 UTC (permalink / raw)
  To: devel, mjsbeaton

On Thu, 24 Aug 2023 at 06:46, Mike Beaton <mjsbeaton@gmail.com> wrote:
>
> This reverts commit 173a7a7daaad560cd69e1000faca1d2b91774c46.
>
> Fixes https://bugzilla.tianocore.org/show_bug.cgi?id=4528
>
> Signed-off-by: Mike Beaton <mjsbeaton@gmail.com>
> ---
> OvmfPkg/build.sh | 13 ++++++++-----
> 1 file changed, 8 insertions(+), 5 deletions(-)
>
> diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
> index b0334fb76e..91b1442ade 100755
> --- a/OvmfPkg/build.sh
> +++ b/OvmfPkg/build.sh
> @@ -245,11 +245,6 @@ else
> echo using prebuilt tools
> fi
> -#
> -# Build the edk2 OvmfPkg
> -#
> -echo Running edk2 build for OvmfPkg$Processor
> -build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER -DDEBUG_ON_SERIAL_PORT=TRUE
> if [[ "$RUN_QEMU" == "yes" ]]; then
> if [[ ! -d $QEMU_FIRMWARE_DIR ]]; then
> @@ -265,3 +260,11 @@ if [[ "$RUN_QEMU" == "yes" ]]; then
> $QEMU_COMMAND "$@"
> exit $?
> fi
> +
> +#
> +# Build the edk2 OvmfPkg
> +#
> +echo Running edk2 build for OvmfPkg$Processor
> +build -p $PLATFORMFILE $BUILD_OPTIONS -b $BUILDTARGET -t
> $TARGET_TOOLS -n $THREADNUMBER
> +exit $?
> +
> --
> 2.37.5
>

Thanks for the patch, and apologies for the delay. Tianocore is
terrible in this regard, and the holiday season doesn't make things
any better. Nostra culpa.

Your patch doesn't apply, though: please use git send-email to prepare
your patches rather than pasting the diff into a gmail edit window.

Also, your commit log does not contain any explanation why the revert
is made: please add some prose that captures this for posterity.


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.
View/Reply Online (#108278): https://edk2.groups.io/g/devel/message/108278
Mute This Topic: https://groups.io/mt/100930099/7686176
Group Owner: devel+owner@edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub [rebecca@openfw.io]
-=-=-=-=-=-=-=-=-=-=-=-



^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2023-09-05  7:20 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-08-24  4:45 [edk2-devel] [PATCH] Revert "OvmfPkg: Update build.sh to allow building OVMF then running QEMU" Mike Beaton
2023-08-24  4:58 ` Mike Beaton
2023-08-27 18:47   ` Mike Beaton
2023-09-05  7:20 ` Ard Biesheuvel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox